hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Junping Du (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HADOOP-14814) Fix incompatible API change on FsServerDefaults to HADOOP-14104
Date Wed, 30 Aug 2017 18:21:00 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-14814?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Junping Du updated HADOOP-14814:
--------------------------------
    Hadoop Flags: Reviewed

> Fix incompatible API change on FsServerDefaults to HADOOP-14104
> ---------------------------------------------------------------
>
>                 Key: HADOOP-14814
>                 URL: https://issues.apache.org/jira/browse/HADOOP-14814
>             Project: Hadoop Common
>          Issue Type: Bug
>            Reporter: Junping Du
>            Assignee: Junping Du
>            Priority: Blocker
>         Attachments: HADOOP-14814.patch
>
>
> From recently jdiff report: https://builds.apache.org/job/Hadoop-2.8-JACC/376/artifact/target/compat-check/report.html.
We found an incompatible API change: in HADOOP-14104, we remove the constructor with replacing
with more parameters. This will cause API incompatible given FsServerDefaults marked as public.
> We should fix it before 2.8.2 and 3.0-beta kicked out.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message